TFTPD(8)

NAME
tftpd - DARPA Trivial File Transfer Protocol server

SYNOPSIS
tftpd [-cl] [directory ...]
tftpd [-cl] -s directory

DESCRIPTION
tftpd is a server which supports the DARPA Trivial File Transfer Protocol. The TFTP server operates at the port indicated in the ‘tftp’ service description; see services(5). The server is normally started by inetd(8).

The use of tftp(1) does not require an account or password on the remote system. Due to the lack of authentication information, tftpd will allow only publicly readable files to be accessed. Files may be written only if they already exist and are publicly writable, unless the -c flag is specified (see below). Note that this extends the concept of “public” to include all users on all hosts that can be reached through the network; this may not be appropriate on all systems, and its implications should be considered before enabling TFTP service.

The server should have the user ID with the lowest possible privilege, unless the -s flag is specified (see below), in which case it must be started with user ID 0.

Access to files may be restricted by invoking tftpd with a list of directories by including pathnames as server program arguments in /etc/inetd.conf. In this case access is restricted to files whose names are prefixed by one of the given directories.

The options are as follows:

-c  Allow new files to be created; otherwise uploaded files must already exist. Files are created with default permissions allowing anyone to read or write to them.

-l  Log the client IP, type of request, and filename using syslog(3) with a level of LOG_INFO.

-s directory
    chroot(2) to directory on startup; the remote host is not expected to pass the directory as part of the file name to transfer. This option is intended primarily for compatibility with SunOS boot ROMs which do not include a directory name.

SEE ALSO
tftp(1), inetd(8), pxeboot(8), syslogd(8), tftp-proxy(8)

HISTORY
The tftpd command appeared in 4.2BSD.

The -s flag appeared in NetBSD 0.9a.

The -c flag was added in OpenBSD 2.1.

The -l flag was added in OpenBSD 4.3.

BUGS
Many TFTP clients will not transfer files over 16744448 octets (32767 blocks).